var AliasMapFactory = (function () {
    function AliasMapFactory(aliases) {
        this.aliases = aliases;
    }
    AliasMapFactory.prototype.create = function () {
        var map = new Map();
        var keys = Object.getOwnPropertyNames(this.aliases);
        for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
            var key = keys_1[_i];
            map.set(key, this.aliases[key]);
        }
        return map;
    };
    return AliasMapFactory;
}());
export { AliasMapFactory };
//# sourceMappingURL=alias-map.factory.js.map