import { IApiResponse } from "./iapi-response";
import { ApiService } from "./api.service";
import { IPagination } from "./ipagination";
import { ILinks } from "./ilinks";
export declare class ApiResponse<Model> implements IApiResponse<Model> {
    private service;
    private response;
    constructor(service: ApiService<Model>, response: any);
    private transform(data);
    fetch(): Model | Model[] | undefined;
    getPagination(): IPagination;
    getLinks(): ILinks;
    getIncluded(): any;
    getMeta(): any;
    getData(): any;
    getResponse(): any;
}
