import { ICollection } from "./icollection";
export declare abstract class Collection<T> implements ICollection<T> {
    private items;
    constructor(items?: T[]);
    add(item: T): number;
    add(item: T[]): number;
    remove(index: number): T[];
    remove(item: T): T[];
    get(index: number): T;
    all(): T[];
    first(): T;
    last(): T;
    count(): number;
    has(item: T): boolean;
    has(item: number): boolean;
}
