var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Factory } from "./factory";
import { Search } from "./search";
import { FilterCollection } from "./filter.collection";
var FilterFactory = (function (_super) {
    __extends(FilterFactory, _super);
    function FilterFactory(filters) {
        var _this = _super.call(this) || this;
        if (!(filters instanceof Search || filters instanceof Array))
            throw new TypeError('Search argument must be a type "Search" or "Search[]".');
        if (!(filters instanceof Array))
            filters = [filters];
        _this.filters = filters;
        return _this;
    }
    FilterFactory.prototype.create = function (type) {
        switch (type) {
            case FilterFactory.TYPE_FIELDS:
                return new FilterCollection(this.filters);
            default:
                throw new Error('Filter factory support only: "fields" type.');
        }
    };
    return FilterFactory;
}(Factory));
export { FilterFactory };
//# sourceMappingURL=filter.factory.js.map