import { InjectionToken } from "@angular/core";
import { ITransformer } from "./itransformer";
import { IEntity } from "./ientity";
import { ITransformerMap } from "./itransformer.map";
export interface ITransformerDataMap {
    [key: string]: ITransformerDataMapEntry;
}
export interface ITransformerDataMapEntry {
    token: InjectionToken<ITransformer<IEntity>>;
    transformerClass: new (transformersMap: ITransformerMap) => ITransformer<IEntity>;
}
