var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { TRANSFORMERS_MAP, TransformerMap, TRANSFORMERS_DATA_MAP } from "./transformer-map.service";
import { Injector, NgModule } from "@angular/core";
var TransformerModule = (function () {
    function TransformerModule() {
    }
    TransformerModule_1 = TransformerModule;
    TransformerModule.extend = function (map, withProviders) {
        if (withProviders === void 0) { withProviders = true; }
        Object.assign(TRANSFORMERS_DATA_MAP, map);
        if (withProviders)
            this.extendProviders(map);
        return {
            ngModule: TransformerModule_1,
            providers: this.providers
        };
    };
    TransformerModule.extendProviders = function (map) {
        var keys = Object.getOwnPropertyNames(map);
        var _loop_1 = function (key) {
            var provider = {
                provide: map[key].token,
                useFactory: function (transformersMap) {
                    return new map[key].transformerClass(transformersMap);
                },
                deps: [TRANSFORMERS_MAP]
            };
            this_1.providers.push(provider);
        };
        var this_1 = this;
        for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
            var key = keys_1[_i];
            _loop_1(key);
        }
    };
    TransformerModule.providers = [{
            provide: TRANSFORMERS_MAP,
            useFactory: function (injector) {
                return new TransformerMap(injector);
            },
            deps: [Injector]
        }];
    TransformerModule = TransformerModule_1 = __decorate([
        NgModule({
            providers: TransformerModule_1.providers
        })
    ], TransformerModule);
    return TransformerModule;
    var TransformerModule_1;
}());
export { TransformerModule };
//# sourceMappingURL=transformer.module.js.map