import {IPagination} from "./ipagination";
import {ILinks} from "./ilinks";

export interface IApiResponse<Model> {
    fetch(): Model | Model[] | undefined;
    getPagination(): IPagination;
    getLinks(): ILinks;
    getIncluded(): any;
    getMeta(): any;
    getData(): any;
    getResponse(): any;
}