import {ITransformer} from "./itransformer";
import {IEntity} from "./ientity";
import {ITransformerDataMapEntry} from "./itransformer-data.map";
import {InjectionToken} from "@angular/core";

export interface ITransformerMap {
    get(type: string): ITransformer<IEntity>;

    put(type: string, entry: ITransformerDataMapEntry): void;
    put(type: string, token: InjectionToken<ITransformer<IEntity>>, transformerClass: new (transformersMap: ITransformerMap) => ITransformer<IEntity>): void;
}