import {IEntity} from "./ientity";
import {Aliases} from "./aliases";

export interface ITransformer<Model extends IEntity> {
    call(response: any): Model | Model[] | undefined;
    transform(data: any): Model;
    aliases(): Aliases | undefined;
}