export class Search {
    public field: string;
    public operator: string = '=';
    public value: string | number;

    public static create(field: string, value: string | number, operator?: string): Search {
        const instance = new Search();
        instance.field = field;
        instance.value = value;

        if (operator)
            instance.operator = operator;

        return instance;
    }
}