import {IFactory} from "./ifactory";

export abstract class Factory<T> implements IFactory<T> {
    public static readonly TYPE_QUERY: string = 'query';
    public static readonly TYPE_FIELDS: string = 'fields';

    public abstract create(...args: any[]): T;
}