import {ApiCollection} from "./api.collection";
import {Filter} from "./filter";

export class FilterCollection extends ApiCollection<Filter> {
    public static readonly separator: string = ';';

    public toUrl(): string {
        return this.all()
            .map((item: Filter) => {
                return item.value
            })
            .join(FilterCollection.separator);
    }
}