export const enum Sort {
    ASC = 0,
    DESC = 1
}

export class Order {
    public field: string;
    public table?: string;
    public customKey?: string;
    public sort: Sort;

    static create(field: string, sort: Sort, customKey?: string, table?: string): Order {
        const order: Order = new Order();
        order.field = field;
        order.sort = sort;
        order.customKey = customKey;
        order.table = table;

        return order;
    }
}