import {ApiCollection} from "./api.collection";
import {Relation} from "./relation";

export class RelationCollection extends ApiCollection<Relation> {
    public static get separator(): string {
        return ',';
    }

    public toUrl(): string {
        return this.all()
            .map((item: Relation) => {
                return item.relation
            })
            .join(RelationCollection.separator);
    }
}