import {Search} from "./search";
import {ApiCollection} from "./api.collection";

export class SearchCollection extends ApiCollection<Search> {
    public static get separator(): string {
        return ';';
    }

    public toUrl(): string {
        if (this.count() === 1)
            return <string>this.first().value;
        else
            return this.all()
                .map((item: Search) => {
                    return `${item.field}:${item.value}`
                })
                .join(SearchCollection.separator);
    }
}